Last Comment Bug 713457 - Linux theme fixes
: Linux theme fixes
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 12 Branch
: All Linux
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-25 09:57 PST by Richard Marti (:Paenglab)
Modified: 2012-01-12 07:03 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Fix the two errors (102.50 KB, patch)
2011-12-25 10:05 PST, Richard Marti (:Paenglab)
bwinton: review-
bwinton: ui‑review-
Details | Diff | Splinter Review
Screenshot showing the menubar issue (102.50 KB, image/png)
2011-12-25 10:10 PST, Richard Marti (:Paenglab)
no flags Details
Fix the two errors (577 bytes, patch)
2011-12-28 08:29 PST, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2011-12-25 09:57:41 PST
I found two small errors in Linux theme after landing of Bug 644169.

With Personas applied the menu bar has a half transparent background color.
Never functional selector in toolbar definition.
Comment 1 Richard Marti (:Paenglab) 2011-12-25 10:05:36 PST
Created attachment 584273 [details] [diff] [review]
Fix the two errors

I think the menubar background is a remnant there the bar was planned below the tabs.

The mail-toolbox:not(-moz-lwtheme) is never working because of the missing colon before -moz-lwtheme. I removed this selector and not fixed it because I think it's planned to use the gradient with personas like in the other themes.
Comment 2 Richard Marti (:Paenglab) 2011-12-25 10:10:31 PST
Created attachment 584274 [details]
Screenshot showing the menubar issue

This screenshot shows how the menubar looks with personas.
Comment 3 Blake Winton (:bwinton) (:☕️) 2011-12-27 14:37:25 PST
Comment on attachment 584273 [details] [diff] [review]
Fix the two errors

So, Mike Conley has been doing a bunch of work both in relation to tabs-on-top, and on Linux, and even better, he's not on vacation this week, so I strongly suggest you ask him for review and ui-review next.  ;)

And the only reason I'm giving this patch the r- and ui-r- is because you seem to have uploaded a PNG file, instead of a patch, so there's nothing for me to review.  ;)  Hopefully Mike will be more lenient.  :)

Thanks,
Blake.
Comment 4 Richard Marti (:Paenglab) 2011-12-28 08:29:04 PST
Created attachment 584577 [details] [diff] [review]
Fix the two errors

Now the right patch.
Comment 5 Mike Conley (:mconley) 2011-12-28 08:41:13 PST
Paenglab:

Hm - can I assume this also applies to EarlyBird as well?

-Mike
Comment 6 Mike Conley (:mconley) 2011-12-28 08:44:45 PST
Comment on attachment 584577 [details] [diff] [review]
Fix the two errors

Code looks good to me.
Comment 7 Richard Marti (:Paenglab) 2011-12-28 09:01:40 PST
Yes EarlyBird has the same code. This comes from the Tabs on top code.
Comment 8 Mike Conley (:mconley) 2011-12-28 12:13:39 PST
Checked in to comm-central as http://hg.mozilla.org/comm-central/rev/c55d07ab4294
Comment 9 Mike Conley (:mconley) 2011-12-29 07:28:10 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/72ae945fade3

Note You need to log in before you can comment on or make changes to this bug.